#!/usr/local/bin/perl -w

# the conversion of ~ back to % is taken care of by fix-answer.pl
# so this program is not actually used by the Duluth systems

# the senseval 2 data uses wordnet sense tags, which include
# an embedded %. Unfortunately weka treats those as comments.
# So we convert the # to ~ for weka, and thereafter convert
# the ~ back to % for reporting senseval results

# tilde.pl changes % to ~
# tilde-rem.pl changes ~ to %

# this format causes weka problems
# <answer instance="art.40030" senseid="art%1:09:00::"/>

# this format causes is ok
# <answer instance="art.40030" senseid="art~1:09:00::"/>

while (<>)
{
    s /~([0-9]+):([0-9]+):([0-9]+):/%$1:$2:$3:/g;
    print $_;
}
